<?php
include_once("c_esmo_gateway_get_docs.php");
class c_page_cab_esmo_gateway_push_mo extends c_page_cab_esmo_gateway_get_docs
{
    public $h1='Оповещение по результату МО - текущий статус' ;
    public $use_datepicker=1 ;

    var $arr_mode=array(1=>'Асинхронный',2=>'Синхронный') ;

    function second_menu_config()
    { $this->second_menu_show_all=1 ;
      $this->second_menu['/cab/esmo_gateway/push/mo/']=array('title'=>'Текущий статус') ;
      $this->second_menu['/cab/esmo_gateway/push/mo/setting/']=array('title'=>'Настройки') ;
      $this->second_menu['/cab/esmo_gateway/push/mo/check/']=array('title'=>'Проверка') ;
      $this->second_menu['/cab/esmo_gateway/push/mo/log/']=array('title'=>'Журнал') ;
      $this->second_menu['/cab/esmo_gateway/push/mo/manual/']=array('title'=>'Описание') ;
    }

   function block_main()
   { $this->page_title() ;
     $this->panel_cur_status() ;
   }

   function panel_cur_status()
   {  if (!$GLOBALS['LS_mo_push_format']) $GLOBALS['LS_mo_push_format']=1 ;
      echo 'Адрес сервера для отправки уведомлений по МО: <strong>'.(($GLOBALS['LS_mo_push_server'])? $GLOBALS['LS_mo_push_server']:'Не задан').'</strong><br>' ;
      echo 'Формат отправляемых данных: <strong>'.$_SESSION['ARR_mo_push_format'][$GLOBALS['LS_mo_push_format']].'</strong><br>' ;
      echo 'Синхронный режим: <strong>'.(($GLOBALS['LS_mo_push_sync'])? '<span class="green">Включен с '.date('d.m.Y H:i',$GLOBALS['LS_mo_push_sync']).'</span>':'Выключен').'</strong><br>' ;
      echo 'Асинхронный режим: <strong>'.(($GLOBALS['LS_mo_push_async'])? '<span class="green">Включен с '.date('d.m.Y H:i',$GLOBALS['LS_mo_push_async']).'</span>':'Выключен').'</strong><br>' ;
      echo 'Дата старта отправки уведомлений: <strong>'.(($GLOBALS['LS_mo_push_time_from'])? '<span class="green">С '.$GLOBALS['LS_mo_push_time_from'].'</span>':'Не задана').'</strong><br>' ;
      $time_start=($GLOBALS['LS_mo_push_time_from'])? strtotime($GLOBALS['LS_mo_push_time_from']):$GLOBALS['LS_mo_push_async'] ;
      if (!$time_start) $time_start=0 ;
      $cron_rec=execSQL_van('select * from obj_site_crontab where cmd="ESMO/cron_send_push_mo_result_async" limit 1') ;
	  echo 'Задание на отправку данных в планировщике (crontab): <strong>'.(($cron_rec['enabled'])? '<span class="green">Включено</span>, '.$cron_rec['intr'].'</span>':'<span class="'.(($GLOBALS['LS_mo_push_sync'] or $GLOBALS['LS_mo_push_async'])? 'red':'').'">Выключено</span>').'</strong><br>' ;
      $cnt_mo_to_send=execSQL_value('select count(pkey) from obj_site_mo_session where c_data>'.$time_start.' and event_send=0 and dopusk in (1,2)')  ;
      echo 'В очереди на отправку: <strong>'.(($cnt_mo_to_send)? $cnt_mo_to_send:'нет ').'</strong> МО<br>' ;
      $last_event_send=execSQL_value('select max(event_send) from obj_site_mo_session where event_send>0 and c_data>'.$time_start) ;
      if ($last_event_send)
      { echo 'Последняя отправка данных по МО: <strong>'.date('d.m.Y H:i:s',$last_event_send).'</strong><br>' ;
      $last_mo_id=execSQL_value('select pkey from obj_site_mo_session where event_send='.$last_event_send.' order by pkey desc limit 1') ;
      echo 'Последнее отправленное МО: <strong>'.$last_mo_id.'</strong><br>' ;
      } else echo 'Данные по МО еще не отправлялись<br>' ;


   }










}



?>
